1 Reply Latest reply: Feb 3, 2013 1:29 PM by dominic23
rock girl Level 1 Level 1 (0 points)

I just upgraded to Snow Leopard but I am running Safari version 4.04.  Can I upgrade to Safari version 5?

or should I stay with version 4.04?


Power Mac G4, Mac OS 9.1.x, I have a G4 Cube that is linked as well